Summary: Utilities for dealing with MTD (flash) devices
Name: mtd-utils
Version: 1.0.1
Release: 2%{?dist}_WR%{?_wr_ver}
License: GPL
Group: Applications/System
URL: http://www.linux-mtd.infradead.org/
Source0: ftp://ftp.infradead.org/pub/mtd-utils/%{name}-%{version}.tar.gz
Source1: COPYING
# WRLinux patches
Patch500: wrs_xcompile.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: zlib-devel libacl-devel

%description
The mtd-utils package contains utilities related to handling MTD devices,
and for dealing with FTL, NFTL JFFS2 etc.

%prep
%setup -q
cp %{SOURCE1} .
# WRLinux patches
%patch500 -p1 -b .xcompile

%build
# WRLinux set variables for make.compile
%configure_target
make CFLAGS="$RPM_OPT_FLAGS -I./include"

%install
# WRLinux set variables for make.install
%configure_target
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT SBINDIR=%{_sbindir} MANDIR=%{_mandir} install


%files
%defattr(-,root,root,-)
%{_sbindir}/*
# %{_mandir}/*/*
%doc COPYING device_table.txt


%changelog
* Thu Apr 26 2007 Steve Yang <steve.yang@windriver.com> 1.0.1-2
 - Integration to WRLinux 1.5

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 1.0.1-2
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Mon Sep 18 2006 David Woodhouse <dwmw2@infradead.org> - 1.0.1-1
- Update to 1.0.1

* Tue May  2 2006 David Woodhouse <dwmw2@infradead.org> - 1.0.0-2
- Fixes from review (include COPYING), BR zlib-devel
- Include device_table.txt

* Sun Apr 30 2006 David Woodhouse <dwmw2@infradead.org> - 1.0.0-1
- Initial build.

